com.amazonaws.services.cloudfront.model

## Class ListDistributionsByWebACLIdRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.ListDistributionsByWebACLIdRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListDistributionsByWebACLIdRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request to list distributions that are associated with a specified AWS WAF web ACL.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListDistributionsByWebACLIdRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListDistributionsByWebACLIdRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getMarker()` Use `Marker` and `MaxItems` to control pagination of results.
`String` `getMaxItems()` The maximum number of distributions that you want CloudFront to return in the response body.
`String` `getWebACLId()` The ID of the AWS WAF web ACL that you want to list the associated distributions.
`int` `hashCode()`
`void` `setMarker(String marker)` Use `Marker` and `MaxItems` to control pagination of results.
`void` `setMaxItems(String maxItems)` The maximum number of distributions that you want CloudFront to return in the response body.
`void` `setWebACLId(String webACLId)` The ID of the AWS WAF web ACL that you want to list the associated distributions.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListDistributionsByWebACLIdRequest` `withMarker(String marker)` Use `Marker` and `MaxItems` to control pagination of results.
`ListDistributionsByWebACLIdRequest` `withMaxItems(String maxItems)` The maximum number of distributions that you want CloudFront to return in the response body.
`ListDistributionsByWebACLIdRequest` `withWebACLId(String webACLId)` The ID of the AWS WAF web ACL that you want to list the associated distributions.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListDistributionsByWebACLIdRequest

    public ListDistributionsByWebACLIdRequest()

### Method Detail

#### setMarker

    public void setMarker(String marker)

Use `Marker` and `MaxItems` to control pagination of results. If you have more than `MaxItems` distributions that satisfy the request, the response includes a `NextMarker` element. To get the next page of results, submit another request. For the value of `Marker`, specify the value of `NextMarker` from the last response. (For the first request, omit `Marker`.)

Parameters:
  `marker` - Use `Marker` and `MaxItems` to control pagination of results. If you have more than `MaxItems` distributions that satisfy the request, the response includes a `NextMarker` element. To get the next page of results, submit another request. For the value of `Marker`, specify the value of `NextMarker` from the last response. (For the first request, omit `Marker`.)

#### getMarker

    public String getMarker()

Use `Marker` and `MaxItems` to control pagination of results. If you have more than `MaxItems` distributions that satisfy the request, the response includes a `NextMarker` element. To get the next page of results, submit another request. For the value of `Marker`, specify the value of `NextMarker` from the last response. (For the first request, omit `Marker`.)

Returns:
  Use `Marker` and `MaxItems` to control pagination of results. If you have more than `MaxItems` distributions that satisfy the request, the response includes a `NextMarker` element. To get the next page of results, submit another request. For the value of `Marker`, specify the value of `NextMarker` from the last response. (For the first request, omit `Marker`.)

#### withMarker

    public ListDistributionsByWebACLIdRequest withMarker(String marker)

Use `Marker` and `MaxItems` to control pagination of results. If you have more than `MaxItems` distributions that satisfy the request, the response includes a `NextMarker` element. To get the next page of results, submit another request. For the value of `Marker`, specify the value of `NextMarker` from the last response. (For the first request, omit `Marker`.)

Parameters:
  `marker` - Use `Marker` and `MaxItems` to control pagination of results. If you have more than `MaxItems` distributions that satisfy the request, the response includes a `NextMarker` element. To get the next page of results, submit another request. For the value of `Marker`, specify the value of `NextMarker` from the last response. (For the first request, omit `Marker`.)
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxItems

    public void setMaxItems(String maxItems)

The maximum number of distributions that you want CloudFront to return in the response body. The maximum and default values are both 100.

Parameters:
  `maxItems` - The maximum number of distributions that you want CloudFront to return in the response body. The maximum and default values are both 100.

#### getMaxItems

    public String getMaxItems()

The maximum number of distributions that you want CloudFront to return in the response body. The maximum and default values are both 100.

Returns:
  The maximum number of distributions that you want CloudFront to return in the response body. The maximum and default values are both 100.

#### withMaxItems

    public ListDistributionsByWebACLIdRequest withMaxItems(String maxItems)

The maximum number of distributions that you want CloudFront to return in the response body. The maximum and default values are both 100.

Parameters:
  `maxItems` - The maximum number of distributions that you want CloudFront to return in the response body. The maximum and default values are both 100.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWebACLId

    public void setWebACLId(String webACLId)

The ID of the AWS WAF web ACL that you want to list the associated distributions. If you specify "null" for the ID, the request returns a list of the distributions that aren't associated with a web ACL.

Parameters:
  `webACLId` - The ID of the AWS WAF web ACL that you want to list the associated distributions. If you specify "null" for the ID, the request returns a list of the distributions that aren't associated with a web ACL.

#### getWebACLId

    public String getWebACLId()

The ID of the AWS WAF web ACL that you want to list the associated distributions. If you specify "null" for the ID, the request returns a list of the distributions that aren't associated with a web ACL.

Returns:
  The ID of the AWS WAF web ACL that you want to list the associated distributions. If you specify "null" for the ID, the request returns a list of the distributions that aren't associated with a web ACL.

#### withWebACLId

    public ListDistributionsByWebACLIdRequest withWebACLId(String webACLId)

The ID of the AWS WAF web ACL that you want to list the associated distributions. If you specify "null" for the ID, the request returns a list of the distributions that aren't associated with a web ACL.

Parameters:
  `webACLId` - The ID of the AWS WAF web ACL that you want to list the associated distributions. If you specify "null" for the ID, the request returns a list of the distributions that aren't associated with a web ACL.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListDistributionsByWebACLIdRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`